curl --request GET \
--url https://api.atoa.me/api/customers/{customerId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"fullName": "John Doe",
"email": "[email protected]",
"type": "INDIVIDUAL",
"phoneCountryCode": "44",
"phoneNumber": "7911123456",
"address": "123 High Street",
"city": "London",
"postcode": "SW1A 1AA",
"createdAt": "2025-06-15T10:30:00.000Z"
}
{
"name": "NOT_FOUND",
"message": "Customer not found",
"status": 404,
"errors": []
}
Customers
Get Customer | Customers API
Retrieve customer via the Atoa Customers API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
customers
/
{customerId}
curl --request GET \
--url https://api.atoa.me/api/customers/{customerId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"fullName": "John Doe",
"email": "[email protected]",
"type": "INDIVIDUAL",
"phoneCountryCode": "44",
"phoneNumber": "7911123456",
"address": "123 High Street",
"city": "London",
"postcode": "SW1A 1AA",
"createdAt": "2025-06-15T10:30:00.000Z"
}
{
"name": "NOT_FOUND",
"message": "Customer not found",
"status": 404,
"errors": []
}
Get a customer by ID.
Response
Authorization
Bearer<accessSecret>
Path Parameters
string
required
The customer’s unique identifier (UUID).
string
Customer UUID.
string
Customer’s full name.
string
Customer’s email address.
string
INDIVIDUAL or BUSINESS.string
Phone country code.
string
Phone number.
string
Customer’s address.
string
Customer’s city.
string
Customer’s postcode.
string
ISO 8601 creation timestamp.
curl --request GET \
--url https://api.atoa.me/api/customers/{customerId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers/{customerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers/{customerId}",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers/{customerId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers/{customerId}")
.header("Authorization", "Bearer <token>")
.asString();
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"fullName": "John Doe",
"email": "[email protected]",
"type": "INDIVIDUAL",
"phoneCountryCode": "44",
"phoneNumber": "7911123456",
"address": "123 High Street",
"city": "London",
"postcode": "SW1A 1AA",
"createdAt": "2025-06-15T10:30:00.000Z"
}
{
"name": "NOT_FOUND",
"message": "Customer not found",
"status": 404,
"errors": []
}
⌘I